Bug 1192779 - [abrt] python3-dnf: tracer.py:93:_print_output:TypeError: Type str doesn't support the buffer API
[abrt] python3-dnf: tracer.py:93:_print_output:TypeError: Type str doesn't su...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:10c971df3ddd47d62604a385d19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-15 04:46 EST by Lukas Slebodnik
Modified: 2015-04-21 15:10 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.5-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 15:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.72 KB, text/plain)
2015-02-15 04:46 EST, Lukas Slebodnik
no flags Details
File: environ (2.30 KB, text/plain)
2015-02-15 04:46 EST, Lukas Slebodnik
no flags Details

  None (edit)
Description Lukas Slebodnik 2015-02-15 04:46:30 EST
Description of problem:
* install dnf3 tracer plugin
* update pacake with dnf-3

Version-Release number of selected component:
python3-dnf-0.6.3-2.fc21

Additional info:
reporter:       libreport-2.3.0
executable:     /bin/dnf-3
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
tracer.py:93:_print_output:TypeError: Type str doesn't support the buffer API

Traceback (most recent call last):
  File "/bin/dnf-3", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 221, in do_transaction
    self.plugins.run_transaction()
  File "/usr/lib/python3.4/site-packages/dnf/plugin.py", line 82, in fn
    dnf.util.mapall(operator.methodcaller(method), self.plugins)
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 157, in mapall
    return list(map(fn, *seq))
  File "/usr/lib/python3.4/site-packages/dnf-plugins/tracer.py", line 67, in transaction
  File "/usr/lib/python3.4/site-packages/dnf-plugins/tracer.py", line 93, in _print_output
TypeError: Type str doesn't support the buffer API

Local variables in innermost frame:
out: b'You should restart:\n  * These applications manually:\n      abrt-applet\n      firefox\n      nm-applet\n      polkit-gnome-authentication-agent-1\n      seapplet\n      ssh-agent\n      tracker-extract\n      tracker-miner-apps\n      tracker-miner-user-guides\n      tracker-store\n      virt-manager\n      xfdesktop\n      xscreensaver\n\nAdditionally to those process above, there are:\n  - 1 processes requiring restart of your session (i.e. Logging out & Logging in again)\n'
Comment 1 Lukas Slebodnik 2015-02-15 04:46:33 EST
Created attachment 991888 [details]
File: backtrace
Comment 2 Lukas Slebodnik 2015-02-15 04:46:34 EST
Created attachment 991889 [details]
File: environ
Comment 3 Radek Holy 2015-02-16 07:55:14 EST
This seems like a bug in dnf-plugins-extras.
Comment 4 Igor Gnatenko 2015-02-16 08:05:42 EST
Thanks for the report!

Fixed in master branch.

https://github.com/rpm-software-management/dnf-plugins-extras/commit/74f21c7f44f752a2c504b329edd0cfcb3ae53f2b
Comment 5 Fedora Update System 2015-02-27 08:15:36 EST
dnf-plugins-extras-0.0.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.5-1.fc22
Comment 6 Fedora Update System 2015-02-27 14:44:13 EST
Package dnf-plugins-extras-0.0.5-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.5-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2793/dnf-plugins-extras-0.0.5-2.fc22
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-02-28 11:41:37 EST
Package dnf-plugins-extras-0.0.5-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.5-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2793/dnf-plugins-extras-0.0.5-3.fc22
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-03-22 00:29:24 EDT
Package dnf-plugins-extras-0.0.5-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.5-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2793/dnf-plugins-extras-0.0.5-4.fc22
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-04-21 15:10:43 EDT
dnf-plugins-extras-0.0.5-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.